Package org.apache.tomcat.util.descriptor.web

## Class ContextResourceLink

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ResourceBase
  - - org.apache.tomcat.util.descriptor.web.ContextResourceLink

All Implemented Interfaces:
  `java.io.Serializable`, `Injectable`

    public class ContextResourceLink
    extends ResourceBase

Representation of a resource link for a web application, as represented in a `<ResourceLink>` element in the server configuration file.

Author:
  Remy Maucherat, Peter Rossbach (Peter Rossbach (pero@apache.org))
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ContextResourceLink()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getFactory()`
`java.lang.String` `getGlobal()`
`int` `hashCode()`
`void` `setFactory​(java.lang.String factory)`
`void` `setGlobal​(java.lang.String global)`
`java.lang.String` `toString()` Return a String representation of this object.

### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

`addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextResourceLink

    public ContextResourceLink()

### Method Detail

#### getGlobal

    public java.lang.String getGlobal()

#### setGlobal

    public void setGlobal​(java.lang.String global)

#### getFactory

    public java.lang.String getFactory()

#### setFactory

    public void setFactory​(java.lang.String factory)

#### toString

    public java.lang.String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ResourceBase`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `ResourceBase`